These docs are for v1.0. Click to read the latest docs for v2.0.

Device Data

🚧

API Timeout Possible

Depending on the device upload rates, the API could be trying to send back tens of thousands of table rows. To prevent the API from timing out, please keep in mind the range of utc_start and utc_end specified.

Returns the subset of data specified in the time window. You can use UTC seconds since 1970 or relative times. For UTC seconds please only use the value without appending a suffix. Example: /data?utc_start=1511187927.16

For relative times, please see more information below on which different suffixes are available.

Without utc_start parameter in the URL the call returns the last minute as default. This is normally called by a viewer in real-time or to retrieve log data from the past.

Relative times:

  • now - Current time
  • XX - Number of seconds before now (1511187927)
  • XXm - Number of minutes before now (-1m)
  • XXh - Number of hours before now (-2h)
  • XXd - Number of days before now (-3d)
  • XXw - Number of weeks before now (-4w)
  • XXM - Number of months before now (-6M)

Pagination Formatting:

Below is an example of a payload where 100 seconds of data have been requested, and roughly 10 seconds were returned because that was the maximum allowed for the payload. The requester can use the returned_utc_end as the next starting point to request more data.

Details:

  • 100 MB max upload at a time
  • 30 second max API processing time
Path Params
string
required
string
required
Query Params
string
string
Defaults to now
string

Optional parameter defining a json list of topic names to return data for, such as ["/mode", "/diagnostics"] so that only data only the necessary data is returned.

string

Optional parameters must be used together to return partial data at an interval. This is used if you want to return data once an hour for a day. The sample_interval defines the number of seconds between data being returned and can only be 60, 10x60, 20x60, 30x60, 60x60. sample_length is the length of data for each chunk to return and must be 1, 2, 5, 10, 30 or 60 seconds. We recommend returning the minimal length for the types of topics you need, so if data comes in every 1 seconds, you will need to return 5 seconds of data. If it comes in at 10 hz, you just need to return 1 second of data. The data returned is always aligned relative to midnight the night before, not current time, so it is guaranteed to return the same chunks of data between utc_start and utc_end each time.

boolean

returns only the first message per topic within the time frame. This can be used to minimize data when sampling over large time windows for repetitive data where only one instance of the message is sent, such as battery voltage. If true, provide a topic list as an array of strings under the query param topics

boolean

true will return the maximum number of messages feasible and specify a returned_utc_start and returned_utc_end to define the next data you should request. While pagination will make sure you get data back, please try t o keep the request sizes roughly the same as the returned data (Don't request 1 day) as the system has to request then filter the results, so longer queries will be slower.

string
Defaults to forward

Forward indicates the device data will be sorted starting at the utc_start time. "Backward" return data starting from the end time.

string
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json